Bug 696672 - Resource leak
Resource leak
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sysstat (Show other bugs)
5.7
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Ivana Varekova
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 11:20 EDT by Michal Luscon
Modified: 2011-07-21 06:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The read_uptime() function failed to close its open file upon exit. A patch has been provided to fix this bug.
Story Points: ---
Clone Of:
: 700797 (view as bug list)
Environment:
Last Closed: 2011-07-21 06:43:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed solution (172 bytes, patch)
2011-04-14 11:20 EDT, Michal Luscon
no flags Details | Diff

  None (edit)
Description Michal Luscon 2011-04-14 11:20:57 EDT
Created attachment 492142 [details]
proposed solution

Description of problem:

Function read_uptime returns without file close in file cifsiostat.c:386.

Additional info: This defect was not present in current supported version of sysstat package.
Comment 3 Tomas Capek 2011-06-29 04:32:03 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The read_uptime() function failed to close its open file upon exit. A patch has been provided to fix this bug.
Comment 4 errata-xmlrpc 2011-07-21 06:43:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-1005.html

Note You need to log in before you can comment on or make changes to this bug.